<?php

namespace Drupal\calculation_fields;

/**
 *
 */
trait CalculationFieldsTrait {

  /**
   * Extract info from the expression field.
   *
   * @param string $field
   *   Field expression info.
   *
   * @return array
   *   Array with field name and default value if defined.
   */
  public static function getExpInfo($field) {
    $defaultValue = NULL;
    $info = explode('|', $field);
    if (count($info) === 2) {
      $defaultValue = $info[1];
    }
    return [
      $info[0],
      $defaultValue
    ];
  }

}
